com.threerings.parlor.server

## Interface PlayManager

All Known Implementing Classes:
  CardGameManager, GameManager, PuzzleManager

    public interface PlayManager

An interface to be implemented by a `PlaceManager` that wishes to host places that have players. This generalizes the idea of a game further than what is afforded by `GameManager`, linking it up with `AVRGameManager`.

### Method Summary

All Methods Instance Methods Abstract Methods
`com.threerings.crowd.data.BodyObject` `checkWritePermission(com.threerings.presents.data.ClientObject client, int playerId)` Make sure that the given caller is a player or an agent and can write to the data of the given playerId.
`boolean` `isAgent(com.threerings.presents.data.ClientObject client)` Return true if the given client is a server-side agent in this place.
`boolean` `isPlayer(com.threerings.presents.data.ClientObject client)` Return true if the given client is a player in this place.

### Method Detail

#### isPlayer

    boolean isPlayer(com.threerings.presents.data.ClientObject client)

Return true if the given client is a player in this place.

#### isAgent

    boolean isAgent(com.threerings.presents.data.ClientObject client)

Return true if the given client is a server-side agent in this place.

#### checkWritePermission

    com.threerings.crowd.data.BodyObject checkWritePermission(com.threerings.presents.data.ClientObject client,
                                                              int playerId)

Make sure that the given caller is a player or an agent and can write to the data of the given playerId.

Returns:
  the resolved player object to write to